"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getLogger(component) {
    const logger = (level) => (...args) => {
        const rabbit = require('./rabbit').default;
        if (rabbit.INSTANCE && rabbit.INSTANCE.listenerCount('log') > 0) {
            return void rabbit.INSTANCE.emit('log', component, level, ...args);
        }
        console.log(`[${level}] ${component}`, ...args);
    };
    return {
        debug: logger('debug'),
        warn: logger('warn'),
        info: logger('info'),
        error: logger('error'),
        trace: logger('trace'),
    };
}
exports.default = getLogger;
//# sourceMappingURL=logger.js.map